# $Revision: 1.22 $, $Date: 2010/06/06 08:40:46 $
#
# Conditional build:
%bcond_without	tests # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PadWalker
Summary:	PadWalker - play with other peoples' lexical variables
Summary(pl.UTF-8):	PadWalker - igranie z cudzymi zmiennymi leksykalnymi
Name:		perl-PadWalker
Version:	1.9
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	8d7e25f522294aee21d8a5b4c1c70ed9
URL:		http://search.cpan.org/dist/PadWalker/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PadWalker is a Perl module which allows you to inspect (and even
change!) lexical variables in any subroutine which called you. It will
only show those variables which are in scope at the point of the call.

%description -l pl.UTF-8
PadWalker jest modułem Perla umożliwiającym przeglądanie (a nawet
modyfikacje!) zmiennych leksykalnych w dowolnej wywołanej funkcji.
Pokazuje on tylko te zmienne, których zasięg obejmuje miejsce
wywołania.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/%{pdir}
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/*.so
%{perl_vendorarch}/auto/%{pdir}/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PadWalker.spec,v $
Revision 1.22  2010/06/06 08:40:46  arekm
- release 2

Revision 1.21  2009/10/07 06:53:20  amateja
- updated to 1.9

Revision 1.20  2009/03/14 11:55:15  hawk
- release 3

Revision 1.19  2008/03/02 18:10:01  radek
- release 2

Revision 1.18  2008-02-17 17:54:02  radek
- version 1.7

Revision 1.17  2008-02-10 12:16:59  arekm
- rel 2

Revision 1.16  2008-01-10 08:38:40  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.15  2007-06-03 12:28:51  qboosh
- generic URL

Revision 1.14  2007/06/03 12:04:01  agaran
- up to 1.5, rel 1, builds here

Revision 1.13  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.11  2006/10/25 21:16:18  ankry
- ver. 1.1

Revision 1.10  2005/11/02 09:24:28  czucz
- updated to 0.13

Revision 1.9  2004/11/03 22:30:39  paladine
- formatting

Revision 1.8  2004/05/06 18:20:54  ankry
- fixed perl-devel BR

Revision 1.7  2004/05/05 11:02:13  ankry
- cosmetics

Revision 1.6  2004/04/22 18:58:31  agaran
new bconds

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.3  2003/08/21 19:22:07  ankry
- pl translations

Revision 1.2  2003/08/21 16:18:00  radek
- fixed Source0 URL

Revision 1.1  2003/08/21 13:21:25  radek
- new
